---
name: handoff_to_agent
emoji: "🤝"
description: >
  Handoff the task to a different, specialized agent. This terminates the current agent's loop
  and spins up the target agent.
skill_type: local
is_enabled: true
features:
- chat
- swarm_control
- agent_harness
parameters:
  type: object
  properties:
    target_agent_id:
      type: string
      description: "The ID of the target agent template or instance to wake up."
    working_dir:
      type: string
      description: "The working directory constraint."
    files_changed:
      type: array
      items:
        type: string
      description: "List of files that were modified by this agent."
    summary_for_target:
      type: string
      description: "A summary message of what was done and what the target agent needs to do."
  required:
  - target_agent_id
  - working_dir
  - summary_for_target
is_system: true
---

# Documentation

When triggered, the `AgentExecutor` will terminate the current agent's `while True` loop and wake up the target agent.
